## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Run the tests by default on Fedora
# Some of the network tests fail on RHEL/CentOS Stream due to the network
# configuration on the builders
%if 0%{?rhel}
%bcond tests 0
%else
%bcond tests 1
%endif

Name:           libuv
Epoch:          1
Version:        1.49.2
Release:        %autorelease
Summary:        Platform layer for node.js

# Code is MIT
# Documentation is CC-BY-4.0
# src/inet.c is ISC
# include/uv/tree.h is BSD-2-Clause
License:        MIT AND CC-BY-4.0 AND ISC AND BSD-2-Clause
URL:            http://libuv.org/
Source0:        http://dist.libuv.org/dist/v%{version}/libuv-v%{version}.tar.gz
Source1:        https://dist.libuv.org/dist/v%{version}/%{name}-v%{version}.tar.gz.sign
# mkdir temp
# gpg --no-default-keyring --keyring temp/keyring.gpg --keyserver keyserver.ubuntu.com \
#  --recv-keys D77B1E34243FBAF05F8E9CC34F55C8C846AB89B9  \
#  FDF519364458319FA8233DC9410E5553AE9BC059 94AE36675C464D64BAFA68DD7434390BDBE9B9C5 \
#  57353E0DBDAAA7E839B66A1AFF47D5E4AD8B4FDC AEAD0A4B686767751A0E4AEF34A25FB128246514 \
#  CFBB9CA9A5BEAFD70E2B3C5A79A67C55A3679C8B C82FA3AE1CBEDC6BE46B9360C43CEC45C17AB93C \
#  612F0EAD9401622379DF4402F28C3C8DA33C03BE \
#  && gpg --no-default-keyring --keyring temp/keyring.gpg --output temp/keysuv.gpg --export
# cp temp/keysuv.gpg .
Source2:        keysuv.gpg
Source3:        libuv.abignore

BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  gnupg2
# Documentation
BuildRequires:  make
BuildRequires:  python3-sphinx


%description
libuv is a new platform layer for Node. Its purpose is to abstract IOCP on
Windows and libev on Unix systems. We intend to eventually contain all platform
differences in this library.

%package devel
Summary:        Development libraries for libuv
Requires:       %{name}%{?_isa} = %{epoch}:%{version}-%{release}
Requires:       %{name}-static%{?_isa} = %{epoch}:%{version}-%{release}


%description devel
Development libraries for libuv

%package static
Summary:        Platform layer for node.js - static library
Requires:       %{name}-devel%{?_isa} = %{epoch}:%{version}-%{release}

%description static
Static library (.a) version of libuv.


%prep
gpgv2 --keyring %{SOURCE2} %{SOURCE1} %{SOURCE0}
%autosetup -n %{name}-v%{version} -p1

%build
%if %{with tests}
%cmake -DBUILD_TESTING=ON
%else
%cmake -DBUILD_TESTING=OFF
%endif
%cmake_build
# Build Documentation
cd docs
make man
cd ..

%install
%cmake_install
# install documentation
mkdir -p  %{buildroot}/%{_mandir}/man1/
install -p -m 644 docs/build/man/libuv.1 %{buildroot}/%{_mandir}/man1/
mkdir -p %{buildroot}%{_libdir}/libuv/
install -Dm0644 -t %{buildroot}%{_libdir}/libuv/ %{SOURCE3}
# Remove packaged license files
rm %{buildroot}/%{_docdir}/libuv/LICENSE
rm %{buildroot}/%{_docdir}/libuv/LICENSE-extra


%check
%if %{with tests}
env UV_TEST_TIMEOUT_MULTIPLIER=10 ./%{__cmake_builddir}/uv_run_tests
env UV_TEST_TIMEOUT_MULTIPLIER=10 ./%{__cmake_builddir}/uv_run_tests_a
%endif


%files
%doc README.md AUTHORS CONTRIBUTING.md MAINTAINERS.md SUPPORTED_PLATFORMS.md
%doc ChangeLog
%license LICENSE LICENSE-docs LICENSE-extra
%{_libdir}/%{name}.so.1
%{_libdir}/%{name}.so.1.*
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/libuv.abignore
%{_mandir}/man1/%{name}.1*

%files devel
%{_includedir}/uv.h
%dir %{_includedir}/uv
%{_includedir}/uv/*.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%dir %{_libdir}/cmake/%{name}
%{_libdir}/cmake/%{name}/*.cmake

%files static
%{_libdir}/%{name}.a
%{_libdir}/pkgconfig/%{name}-static.pc

%changelog
## START: Generated by rpmautospec
* Mon Oct 21 2024 Stephen Gallagher <sgallagh@redhat.com> - 1:1.49.2-1
- Update to 1.49.2

* Tue Oct 15 2024 Stephen Gallagher <sgallagh@redhat.com> - 1:1.49.1-1
- Update to 1.49.1

* Wed Sep 25 2024 Stephen Gallagher <sgallagh@redhat.com> - 1:1.49.0-1
- Update to 1.49.0

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1:1.48.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Feb 07 2024 Stephen Gallagher <sgallagh@redhat.com> - 1:1.48.0-1
- Update to libuv 1.48.0

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1:1.47.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1:1.47.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Nov 17 2023 Stephen Gallagher <sgallagh@redhat.com> - 1:1.47.0-4
- Temporarily disable tests on CentOS Stream / RHEL

* Thu Nov 16 2023 Stephen Gallagher <sgallagh@redhat.com> - 1:1.47.0-3
- Add patch for fs_test on btrfs

* Tue Nov 14 2023 Stephen Gallagher <sgallagh@redhat.com> - 1:1.47.0-2
- Fix tests with upstream patches

* Wed Nov 08 2023 Stephen Gallagher <sgallagh@redhat.com> - 1:1.47.0-1
- Update to libuv 1.47.0

* Thu Oct 26 2023 Stephen Gallagher <sgallagh@redhat.com> - 1:1.46.0-5
- libuv-devel depends on libuv.a

* Wed Sep 27 2023 Miroslav Suchý <msuchy@redhat.com> - 1:1.46.0-4
- fix SPDX license formula

* Mon Sep 25 2023 Stephen Gallagher <sgallagh@redhat.com> - 1:1.46.0-3
- Bump to fix release field after epoch confusion

* Mon Sep 25 2023 Stephen Gallagher <sgallagh@redhat.com> - 1:1.46.0-2
- Bump to fix release field after epoch confusion

* Mon Sep 25 2023 Stephen Gallagher <sgallagh@redhat.com> - 1:1.46.0-1
- Revert incorrect epoch-bump

* Mon Sep 25 2023 Benson Muite <benson_muite@emailplus.org> - 3:1.46.0-1
- Increase timeout limit for tests

* Sun Sep 24 2023 Benson Muite <benson_muite@emailplus.org> - 2:1.46.0-1
- Use cmake, check signature and add docs

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1:1.46.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jul 11 2023 Stephen Gallagher <sgallagh@redhat.com> - 1:1.46.0-1
- Update to 1.46.0

* Thu Jun 22 2023 Stephen Gallagher <sgallagh@redhat.com> - 1:1.45.0-2
- Bump release to rebuild with fixed hardening flags

* Fri May 19 2023 Stephen Gallagher <sgallagh@redhat.com> - 1:1.45.0-1
- Update to libuv 1.45.0

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1:1.44.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1:1.44.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jul 13 2022 Stephen Gallagher <sgallagh@redhat.com> - 1:1.44.2-1
- Update to libuv 1.44.2

* Thu Mar 10 2022 Stephen Gallagher <sgallagh@redhat.com> - 1:1.44.1-1
- Update to 1.44.1 to address regression

* Tue Mar 08 2022 Stephen Gallagher <sgallagh@redhat.com> - 1:1.44.0-1
- Update to 1.44.0

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> 1:1.43.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Jan 05 2022 Stephen Gallagher <sgallagh@redhat.com> 1:1.43.0-2
- Also remove udp_multicast_join6 test

* Wed Jan 05 2022 Stephen Gallagher <sgallagh@redhat.com> 1:1.43.0-1
- Update to 1.43.0

* Thu Sep 02 2021 Stephen Gallagher <sgallagh@redhat.com> 1:1.42.0-2
- Drop use of rpmautospec for the release field

* Tue Aug 31 2021 Stephen Gallagher <sgallagh@redhat.com> 1:1.42.0-1
- Update to 1.42.0

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> 1:1.41.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jul 09 2021 Stephen Gallagher <sgallagh@redhat.com> 1:1.41.1-1
- idna: fix OOB read in punycode decoder

* Fri Feb 19 2021 Stephen Gallagher <sgallagh@redhat.com> 1:1.41.0-2
- Update package.cfg for rawhide rename

* Fri Feb 19 2021 Stephen Gallagher <sgallagh@redhat.com> 1:1.41.0-1
- Update to 1.41.0

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> 1:1.40.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Jan 05 2021 Tom Stellard <tstellar@redhat.com> 1:1.40.0-2
- Add BuildRequires: make

## END: Generated by rpmautospec
